Clusters
All operations require authentication.
List managed Kubernetes clustersBeta
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Concurrency control hash of the target specification
Cluster creation timestamp
Actual cluster state
In-progress asynchronous operations on the cluster
Unique identifier of the cluster
Current lifecycle status of the cluster
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired cluster specification
Last cluster modification timestamp
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "apiServer": { "access": { "authorizedIps": { "rules": [ null ] }, "publicEndpoint": { "url": "string" } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": null, "syncPeriod": null }, "ipvs": { "minSyncPeriod": null, "scheduler": null, "syncPeriod": null, "tcpFinTimeout": null, "tcpTimeout": null, "udpTimeout": null }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": null, "serviceType": null }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": null }, "ui": { "backendResources": null, "enabled": null, "frontendResources": null } } }, "type": "CANAL" }, "deployedVersion": "string", "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": null } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "apiServer": { "access": { "authorizedIps": { "rules": [ null ] } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": null, "syncPeriod": null }, "ipvs": { "minSyncPeriod": null, "scheduler": null, "syncPeriod": null, "tcpFinTimeout": null, "tcpTimeout": null, "udpTimeout": null }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": null, "serviceType": null }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": null }, "ui": { "backendResources": null, "enabled": null, "frontendResources": null } } }, "type": "CANAL" }, "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": null } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Response
Concurrency control hash of the target specification
Cluster creation timestamp
Actual cluster state
In-progress asynchronous operations on the cluster
Unique identifier of the cluster
Current lifecycle status of the cluster
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired cluster specification
Last cluster modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] }, "publicEndpoint": { "url": "string" } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "deployedVersion": "string", "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a managed Kubernetes clusterBeta
Path parameters
Project ID
Request body (required)
Desired cluster specification
Response
Concurrency control hash of the target specification
Cluster creation timestamp
Actual cluster state
In-progress asynchronous operations on the cluster
Unique identifier of the cluster
Current lifecycle status of the cluster
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired cluster specification
Last cluster modification timestamp
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] }, "publicEndpoint": { "url": "string" } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "deployedVersion": "string", "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Response
Concurrency control hash of the target specification
Cluster creation timestamp
Actual cluster state
In-progress asynchronous operations on the cluster
Unique identifier of the cluster
Current lifecycle status of the cluster
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired cluster specification
Last cluster modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] }, "publicEndpoint": { "url": "string" } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "deployedVersion": "string", "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Updated cluster specification with mutable fields only
Response
Concurrency control hash of the target specification
Cluster creation timestamp
Actual cluster state
In-progress asynchronous operations on the cluster
Unique identifier of the cluster
Current lifecycle status of the cluster
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired cluster specification
Last cluster modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] }, "publicEndpoint": { "url": "string" } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "deployedVersion": "string", "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Retrieve the cluster admin kubeconfigBeta
Path parameters
Managed kubernetes ID
Project ID
Response
Kubeconfig file content in YAML format
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ kubeconfig \
-H "authorization: Bearer $OVH_TOKEN"{ "content": "string"}
Reset the cluster admin kubeconfigBeta
Rotates the cluster admin credentials asynchronously. The previous kubeconfig stops working.
Path parameters
Managed kubernetes ID
Project ID
Response
Concurrency control hash of the target specification
Cluster creation timestamp
Actual cluster state
In-progress asynchronous operations on the cluster
Unique identifier of the cluster
Current lifecycle status of the cluster
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired cluster specification
Last cluster modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ kubeconfig/ reset \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] }, "publicEndpoint": { "url": "string" } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "deployedVersion": "string", "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Restart the control plane of a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Request body (required)
Force the restart. When true the API server may be briefly unavailable. Defaults to false.
Response
Concurrency control hash of the target specification
Cluster creation timestamp
Actual cluster state
In-progress asynchronous operations on the cluster
Unique identifier of the cluster
Current lifecycle status of the cluster
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired cluster specification
Last cluster modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ restart \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] }, "publicEndpoint": { "url": "string" } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "deployedVersion": "string", "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "apiServer": { "access": { "authorizedIps": { "rules": [ { "cidr": null } ] } }, "admissionPlugins": { "key": { "enabled": true } } }, "authentication": { "oidc": { "caContent": "string", "clientId": "string", "groupsClaim": [ "string" ], "groupsPrefix": "string", "issuerUrl": "string", "requiredClaim": [ "string" ], "signingAlgs": [ "ES256" ], "usernameClaim": "string", "usernamePrefix": "string" }, "type": "OIDC" }, "autoUpgrade": { "patch": { "enabled": true } }, "cni": { "canal": { "kubeProxy": { "iptables": { "minSyncPeriod": "string", "syncPeriod": "string" }, "ipvs": { "minSyncPeriod": "string", "scheduler": "DESTINATION_HASHING", "syncPeriod": "string", "tcpFinTimeout": "string", "tcpTimeout": "string", "udpTimeout": "string" }, "mode": "IPTABLES" } }, "cilium": { "clusterId": 0, "clusterMesh": { "apiServer": { "nodePort": 0, "serviceType": "LoadBalancer" }, "enabled": true }, "hubble": { "enabled": true, "relay": { "enabled": true }, "ui": { "backendResources": { "limits": null, "requests": null }, "enabled": true, "frontendResources": { "limits": null, "requests": null } } } }, "type": "CANAL" }, "ipAllocationPolicy": { "pods": "192.0.2.0/24", "services": "192.0.2.0/24" }, "name": "string", "network": { "type": "PUBLIC", "vrack": { "defaultEgress": { "type": "MANAGED_GATEWAY", "userGateway": { "ip": "192.0.2.0" } }, "loadBalancerSubnetId": "00000000-0000-0000-0000-000000000000", "privateNetworkId": "00000000-0000-0000-0000-000000000000", "subnetId": "00000000-0000-0000-0000-000000000000" } }, "plan": "FREE", "region": "string", "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Get the versions of a managed Kubernetes clusterBeta
Returns the full version deployed on the cluster, the patch versions of the current minor it can update to, and the versions of the next minor it can upgrade to. Multi-minor jumps are never returned.
Path parameters
Managed kubernetes ID
Project ID
Response
Patch versions of the current minor the cluster can update to, for example 1.32.8-1 to 1.32.8-2
Versions of the next minor the cluster can upgrade to, for example 1.32.8-1 to 1.33.1-2. Multi-minor jumps are never listed.
Full Kubernetes version currently deployed on the cluster, for example 1.32.8-1
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ capabilities/ version \
-H "authorization: Bearer $OVH_TOKEN"{ "availableUpdates": [ { "status": "END_OF_SUPPORT", "version": "string" } ], "availableUpgrades": [ { "status": "END_OF_SUPPORT", "version": "string" } ], "currentVersion": "string"}
Get the etcd database usage and quota for a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Response
Etcd storage quota in bytes
Current etcd storage usage in bytes
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ usage/ etcd \
-H "authorization: Bearer $OVH_TOKEN"{ "limit": 0, "used": 0}
List all events related to a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Query parameters
Return only the events belonging to this task
Headers
Pagination cursor
Pagination size
Response
Creation date of the event
Nature of the event
Link to the event related resource
Description of what happened on the event
Type of the event
TARGET_SPEC_UPDATETASK_ERRORTASK_STARTTASK_SUCCESSExample uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ event \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "link": "string", "message": "string", "type": "TARGET_SPEC_UPDATE" }]
List all tasks related to a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a specific task related to a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Task ID
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}